JMSProperty (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.jms.sampler, class: JMSProperty

Package org.apache.jmeter.protocol.jms.sampler

# Class JMSProperty

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.protocol.jms.sampler.JMSProperty

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `org.apache.jmeter.testelement.TestElement`

public class JMSProperty extends AbstractTestElement implements Serializable
JMS Property with type

Since:
  2.11
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROP_NAME`
  Name used to store the JmsProperty's name.
  `static final String`
  `PROP_TYPE`
  Name used to store the JmsProperty's description.
  `static final String`
  `PROP_VALUE`
  Name used to store the JmsProperty's value.

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMSProperty()`
  Create a new JmsProperty without a name, value, or metadata.
  `JMSProperty(String name, String value)`
  Create a new JmsProperty with the specified name and value, and String type.
  `JMSProperty(String name, String value, String type)`
  Create a new JmsProperty with the specified name and value, and String type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Get the name of the JmsProperty.
  `String`
  `getType()`
  Gets the Meta Data attribute of the JmsProperty.
  `String`
  `getValue()`
  Gets the value of the JmsProperty object.
  `Object`
  `getValueAsObject()`
  `void`
  `setName(String newName)`
  Set the name of the JmsProperty.
  `void`
  `setType(String type)`
  Sets the Meta Data attribute of the JmsProperty.
  `void`
  `setValue(String newValue)`
  Sets the value of the JmsProperty.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Field Details

  - ### PROP_NAME

    public static final String PROP_NAME
    Name used to store the JmsProperty's name.
    See Also:
      - Constant Field Values

  - ### PROP_VALUE

    public static final String PROP_VALUE
    Name used to store the JmsProperty's value.
    See Also:
      - Constant Field Values

  - ### PROP_TYPE

    public static final String PROP_TYPE
    Name used to store the JmsProperty's description.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JMSProperty

    public JMSProperty()
    Create a new JmsProperty without a name, value, or metadata.

  - ### JMSProperty

    public JMSProperty(String name, String value)
    Create a new JmsProperty with the specified name and value, and String type.
    Parameters:
      `name` - the prop name
      `value` - the prop value

  - ### JMSProperty

    public JMSProperty(String name, String value, String type)
    Create a new JmsProperty with the specified name and value, and String type.
    Parameters:
      `name` - the prop name
      `value` - the prop value
      `type` - the type type

- ## Method Details

  - ### setName

    public void setName(String newName)
    Set the name of the JmsProperty.
    Specified by:
      `setName` in interface `org.apache.jmeter.testelement.TestElement`
    Overrides:
      `setName` in class `AbstractTestElement`
    Parameters:
      `newName` - the new name

  - ### getName

    public String getName()
    Get the name of the JmsProperty.
    Specified by:
      `getName` in interface `org.apache.jmeter.testelement.TestElement`
    Overrides:
      `getName` in class `AbstractTestElement`
    Returns:
      the attribute's name

  - ### setValue

    public void setValue(String newValue)
    Sets the value of the JmsProperty.
    Parameters:
      `newValue` - the new value

  - ### getValue

    public String getValue()
    Gets the value of the JmsProperty object.
    Returns:
      the attribute's value

  - ### setType

    public void setType(String type)
    Sets the Meta Data attribute of the JmsProperty.
    Parameters:
      `type` - the new type

  - ### getType

    public String getType()
    Gets the Meta Data attribute of the JmsProperty.
    Returns:
      the MetaData value

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getValueAsObject

    public Object getValueAsObject()